Package org.jfree.report.flow

# Class LayoutExpressionRuntime

java.lang.Object
org.jfree.report.flow.LayoutExpressionRuntime

All Implemented Interfaces:
  `ExpressionRuntime`

public class LayoutExpressionRuntime extends Object implements ExpressionRuntime
Creation-Date: 04.03.2006, 16:41:49

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`LayoutExpressionRuntime()`

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`int`
`getCurrentRow()`
`ReportData`
`getData()`
Returns the report data used in this section.
`DataRow`
`getDataRow()`
Returns the datarow.
`Object`
`getDeclaringParent()`
`ReportContext`
`getReportContext()`
`ResourceBundleFactory`
`getResourceBundleFactory()`
`void`
`setConfiguration(org.pentaho.reporting.libraries.base.config.Configuration configuration)`
`void`
`setCurrentRow(int currentRow)`
`void`
`setData(ReportData reportData)`
`void`
`setDataRow(DataRow dataRow)`
`void`
`setDeclaringParent(Object declaringParent)`
`void`
`setReportContext(ReportContext reportContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LayoutExpressionRuntime

public LayoutExpressionRuntime()

## Method Details

### setCurrentRow

public void setCurrentRow(int currentRow)

### setDataRow

public void setDataRow(DataRow dataRow)

### setConfiguration

public void setConfiguration(org.pentaho.reporting.libraries.base.config.Configuration configuration)

### setData

public void setData(ReportData reportData)

### setDeclaringParent

public void setDeclaringParent(Object declaringParent)

### getDataRow

public DataRow getDataRow()
Returns the datarow.

Specified by:
  `getDataRow` in interface `ExpressionRuntime`
Returns:

### getConfiguration

public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

Specified by:
  `getConfiguration` in interface `ExpressionRuntime`

### getResourceBundleFactory

public ResourceBundleFactory getResourceBundleFactory()

Specified by:
  `getResourceBundleFactory` in interface `ExpressionRuntime`

### getData

public ReportData getData()
Returns the report data used in this section. If subreports are used, this does not reflect the complete report data.

All access to the report data must be properly synchronized. Failure to do so may result in funny results. Do not assume that the report data will be initialized on the current cursor positon.

Specified by:
  `getData` in interface `ExpressionRuntime`
Returns:
See Also:
  - `ExpressionRuntime.getCurrentRow()`

### getDeclaringParent

public Object getDeclaringParent()

Specified by:
  `getDeclaringParent` in interface `ExpressionRuntime`

### getCurrentRow

public int getCurrentRow()

Specified by:
  `getCurrentRow` in interface `ExpressionRuntime`

### getReportContext

public ReportContext getReportContext()

Specified by:
  `getReportContext` in interface `ExpressionRuntime`

### setReportContext

public void setReportContext(ReportContext reportContext)